ubuntu/+source/spice:applied/ubuntu/yakkety-updates

Last commit made on 2017-02-20
Get this branch:
git clone -b applied/ubuntu/yakkety-updates https://git.launchpad.net/ubuntu/+source/spice
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/ubuntu/yakkety-updates
Repository:
lp:ubuntu/+source/spice

Recent commits

8d26c65... by Marc Deslauriers on 2017-02-15

Import patches-applied version 0.12.8-1ubuntu0.1 to applied/ubuntu/yakkety-security

Imported using git-ubuntu import.

Changelog parent: 04d93315008c9af39127787c6a41a59300eb11d8
Unapplied parent: 96fcbf3358a9ae24145b9b93932a04cea03d67e6

New changelog entries:
  * SECURITY UPDATE: overflow when reading large messages
    - debian/patches/CVE-2016-9577.patch: check size in
      server/main_channel.c.
    - CVE-2016-9577
  * SECURITY UPDATE: DoS via crafted message
    - debian/patches/CVE-2016-9578-1.patch: limit size in server/reds.c.
    - debian/patches/CVE-2016-9578-2.patch: limit caps in server/reds.c.
    - CVE-2016-9578

96fcbf3... by Marc Deslauriers on 2017-02-15

Prevent integer overflows in capability checks

Gbp-Pq: CVE-2016-9578-2.patch.

4e9d4b3... by Marc Deslauriers on 2017-02-15

Prevent possible DoS attempts during protocol handshake

Gbp-Pq: CVE-2016-9578-1.patch.

02ec2b7... by Marc Deslauriers on 2017-02-15

main-channel: Prevent overflow reading messages from client

Gbp-Pq: CVE-2016-9577.patch.

5154980... by Marc Deslauriers on 2017-02-15

do not link spice with libcacard

Gbp-Pq: stop-linking-with-libcacard.diff.

9beea54... by Marc Deslauriers on 2017-02-15

Import patches-unapplied version 0.12.8-1ubuntu0.1 to ubuntu/yakkety-security

Imported using git-ubuntu import.

Changelog parent: 3e2a3a4314136b8701a64b4fc90cd0ccf196e65f

New changelog entries:
  * SECURITY UPDATE: overflow when reading large messages
    - debian/patches/CVE-2016-9577.patch: check size in
      server/main_channel.c.
    - CVE-2016-9577
  * SECURITY UPDATE: DoS via crafted message
    - debian/patches/CVE-2016-9578-1.patch: limit size in server/reds.c.
    - debian/patches/CVE-2016-9578-2.patch: limit caps in server/reds.c.
    - CVE-2016-9578

04d9331... by Liang Guo <email address hidden> on 2016-07-26

Import patches-applied version 0.12.8-1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 34df78072d0fbaca51e376ebde45b4479045f536
Unapplied parent: 8008965cb34a79bc1daf7ba58c893f0a8dc79e4b

New changelog entries:
  * New upstream release
  * Remove debian/patches/{CVE-2016-0749,CVE-2016-2150}, applied
    Upstream

3e2a3a4... by Liang Guo <email address hidden> on 2016-07-26

Import patches-unapplied version 0.12.8-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 7f3a70b54a215d84b2550682fecf374c125e579f

New changelog entries:
  * New upstream release
  * Remove debian/patches/{CVE-2016-0749,CVE-2016-2150}, applied
    Upstream

8008965... by Liang Guo <email address hidden> on 2016-07-26

do not link spice with libcacard

Gbp-Pq: stop-linking-with-libcacard.diff.

34df780... by Liang Guo <email address hidden> on 2016-06-23

Import patches-applied version 0.12.7-1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: c44e6a0129fe92ddcef2c5352b80fb5018e96acb
Unapplied parent: a85ad341ff69759fb4dde52340d41c9f4bfd3f8e

New changelog entries:
  * New upstream release
  * Update debian/copyright
  * Refresh debian/patches
  * Static build is disabled, remove lib*.a from libspice-server-dev
  * Update Standards-Version to 3.9.8 (no changes)
  * Use secure uri in vcs-*